Bug 801545 - CamelCase strings cause issues with the translators
Summary: CamelCase strings cause issues with the translators
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: Entitlement Bugs
URL:
Whiteboard:
Depends On:
Blocks: 738066
TreeView+ depends on / blocked
 
Reported: 2012-03-08 19:39 UTC by Bryan Kearney
Modified: 2012-06-20 13:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 13:06:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0804 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2012-06-19 19:51:31 UTC

Description Bryan Kearney 2012-03-08 19:39:38 UTC
the use of CamelCase and ALLCAPS cuases issues where translators do not translte the string, but QE opens up bugs against them. This bug Moves CamelCase to Camel Case and ALLCAPS to ALL-CAPS to try and resolve the issue.

Comment 2 Bryan Kearney 2012-03-08 19:58:03 UTC
fixed in master at 148e9bf60bcde2508064ede626e4df4b98e20381

Comment 5 John Sefler 2012-04-18 20:31:19 UTC
Verifying Version...
[root@jsefler-r63-server ~]# rpm -q subscription-manager
subscription-manager-0.99.14-1.el6.x86_64

To verify this bug, I picked one of the translated rhsm.mo files and ran the following command looking at each of the msgid keys.

# msgunfmt /usr/share/locale/as/LC_MESSAGES/rhsm.mo | more

Within the output from that command I looked for cases of CamelCase and ALLCAPS.  

VERIFIED: I found no cases of two words combined in a format of ALLCAPS.


[root@jsefler-r63-server ~]#  msgunfmt /usr/share/locale/as/LC_MESSAGES/rhsm.mo | grep msgid | egrep [A-Z][a-z]+[A-Z]
msgid "Invalid Product List ScrolledWindow"
msgid "Unable to locate SystemId file. Is this system registered?"

FAILED/QA: "ScrolledWindow" and "SystemId" are the only CamelCase values found in the msgid keys.  However...

Running the following command you will find that some translators choose to translate "ScrolledWindow" and some translators choose not to translate. (the same is true for "SystemId"). 
[root@jsefler-r63-server ~]# for f in `rpm -ql subscription-manager | grep rhsm.mo`; do echo $f; msgunfmt $f | grep  ScrolledWindow; done;

In my opinion these are not bugs.  Instead they are concious decisions by the translators who choose what is appropriate to be translated in their language.


Here are other questionable keys that I found.  However they too are translated in some languages and not in other:

msgid "N/A"
msgid "SLA"


Moving this bug to VERIFIED

Comment 7 errata-xmlrpc 2012-06-20 13:06:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0804.html


Note You need to log in before you can comment on or make changes to this bug.